[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCalcEdit.RunDialog

RunDialog - perform the function of the dialog.

## Declaration

Source position: editbtn.pas line 867

`public procedure TCalcEdit.RunDialog; virtual;`

## Description

RunDialog is a procedure used display the form which captures the value for the control. For TCalcEdit, a TCalculatorForm instance is used instead of a TCommonDialog descendant as used in other grouped edit controls.

Property values in the class are assigned to the form, such as: DialogTitle, DialogTop, DialogLeft, DialogPosition, and AsFloat. The form is displayed modally, and its value is passed to the OnAcceptValue event handler (when assigned). The accepted value is stored in the AsFloat property.